## org.eclipse.datatools.connectivity.ui
Class PingJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.connectivity.ui.PingJob

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

    public class PingJob

extends org.eclipse.core.runtime.jobs.Job

Executes a ping operation as a background job.

Nested Class Summary
`static class` `PingJob.PingUIJob`

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`PingJob(org.eclipse.swt.widgets.Shell shell, IConnectionProfile profile)`

Method Summary
`static IConnection` `createTestConnection(IConnectionProfile icp)`
`static java.lang.Throwable` `getTestConnectionException(IConnection conn)`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, wakeUp, wakeUp`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo, toString`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### PingJob

    public PingJob(org.eclipse.swt.widgets.Shell shell,
                   IConnectionProfile profile)

Parameters:
  `exceptions` -
  `name` -

Method Detail

### createTestConnection

    public static IConnection createTestConnection(IConnectionProfile icp)

### getTestConnectionException

    public static java.lang.Throwable getTestConnectionException(IConnection conn)